Page MenuHomePhabricator

Tracking blocks: Log when the desktop VisualEditor + 2010 wikitext editor block notice is displayed
Closed, ResolvedPublic3 Story Points

Description

This is a child of T189724: 👩‍👧 Track how often blocked users attempt to edit

Requirements

  • Add tracking when the "you cannot edit because you are blocked" message appears in the VisualEditor/2017 wikitext editor and in the 2010 wikitext editor.
  • The data should be made available in a Grafana graph, displayed hourly.
  • The circumstances of how this data is logged is documented, including any known limitations.
  • No personally identifyable information (username, IP, block ID, etc.) should be collected.

Event Timeline

TBolliger triaged this task as Low priority.Aug 10 2018, 8:14 PM
TBolliger created this task.
TBolliger moved this task from Untriaged to Cards ready for development on the Anti-Harassment board.
dbarratt added a subscriber: dmaza.Oct 23 2018, 5:22 PM
dmaza claimed this task.Oct 23 2018, 5:33 PM
dmaza moved this task from Cards ready for development to AHT Sprint 31 on the Anti-Harassment board.
dmaza edited projects, added Anti-Harassment (AHT Sprint 31); removed Anti-Harassment.

Change 472342 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/VisualEditor@master] Track when block notices are displayed.

https://gerrit.wikimedia.org/r/472342

Change 472375 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Track when block notices are displayed.

https://gerrit.wikimedia.org/r/472375

Hey performance team! Just tagging you to request you weigh in on this patchset to add wgWikiID to mw.config as I think that impacts your RL plans. Thanks in advance!

@Jdlrobson: @Krinkle is on vacation until middle of next week. Can this wait until then?

@Jdlrobson: @Krinkle is on vacation until middle of next week. Can this wait until then?

If by 'this' you mean deploying this tracking, then reluctantly yes (though strongly preferably not.) If by 'this' you mean for Timo to assess, then that is a question for Jon to answer, not me.

@Jdlrobson: @Krinkle is on vacation until middle of next week. Can this wait until then?

If by 'this' you mean deploying this tracking, then reluctantly yes (though strongly preferably not.) If by 'this' you mean for Timo to assess, then that is a question for Jon to answer, not me.

Fair enough. I say go ahead and deploy as is, when @Krinkle comes back from vacation he may have suggestions for other ways to implement, but we can deal with it then.

Change 472342 abandoned by Dmaza:
Track when block notices are displayed.

Reason:
Based on @Esanders comments we are moving the tracking logic to the client. It does make more sense there

https://gerrit.wikimedia.org/r/472342

Change 472342 restored by Dmaza:
Track when block notices are displayed.

https://gerrit.wikimedia.org/r/472342

Change 474020 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Add tracking for block errors on create/edit actions

https://gerrit.wikimedia.org/r/474020

Change 472342 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Track when block notices are returned on the api

https://gerrit.wikimedia.org/r/472342

Imarlier moved this task from Inbox to Doing on the Performance-Team board.Nov 26 2018, 9:15 PM

Change 476371 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@wmf/1.33.0-wmf.6] Add block notice stats on EditPage.

https://gerrit.wikimedia.org/r/476371

Change 472375 merged by jenkins-bot:
[mediawiki/core@master] Add block notice stats on EditPage.

https://gerrit.wikimedia.org/r/472375

Change 476371 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.6] Add block notice stats on EditPage.

https://gerrit.wikimedia.org/r/476371

Mentioned in SAL (#wikimedia-operations) [2018-11-29T00:55:38Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.6/includes/: Add block notice stats on EditPage (T201718) (duration: 01m 14s)

TBolliger closed this task as Resolved.Dec 5 2018, 8:02 PM